LibreOffice LibreOffice 26.2 SDK API Reference

Exported Interfaces | List of all members
VBASpreadsheetEventProcessor Service Reference

`import"VBASpreadsheetEventProcessor.idl";`

Inheritance diagram for VBASpreadsheetEventProcessor:

## Exported Interfaces
interface | XVBAEventProcessor

## Additional Inherited Members
Public Member Functions inherited from XVBAEventProcessor
boolean | hasVbaEventHandler ([in] long nEventId, [in] sequence< any > aArgs) raises (::com::sun::star::lang::IllegalArgumentException)
| Returns whether a VBA event handler exists. More...
boolean | processVbaEvent ([in] long nEventId, [in] sequence< any > aArgs) raises (::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::util::VetoException)
| Executes a VBA event handler. More...

## Exported Interfaces

## ◆ XVBAEventProcessor

interface XVBAEventProcessor

The documentation for this service was generated from the following file:

- com/sun/star/script/vba/VBASpreadsheetEventProcessor.idl